add_subdirectory( menu )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### systemsettings (executable)

tde_add_executable( systemsettings AUTOMOC

  SOURCES
        tdecmodulemenu.cpp
        kcmsearch.cpp
        kcmultiwidget.cpp
        main.cpp
        mainwindow.cpp
        moduleiconitem.cpp
        modulesview.cpp
        kcscrollview.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeutils-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons()


##### other data

tde_create_translated_desktop( systemsettings.desktop )

install(
    FILES systemsettingsui.rc
    DESTINATION ${DATA_INSTALL_DIR}/systemsettings
)

install(
    FILES systemsettingsrc
    DESTINATION ${CONFIG_INSTALL_DIR}
)
